|
|
OK,你的第一个问题是:什么是Linux,它和UNIX有什么区别? 问这个问题的原因呢,多半是你还在大一的时候一次去实验室,看到 高年纪学生在一个特大屏幕的机器上作题,你羡慕的看着他,问: “这是什么计算机啊,这么高级?”而他不无骄傲的说,“这是 UNIX”。后来你懂的多了,知道那是SUN工作站,上面运行着Solaris, 就是UNIX。现在你又听说Linux也是UNIX,是怎么回事呢? short answer:去看书,街上很多Linux的书第一章就是讲他们的历史 和亲属关系的。 long answer: UNIX是一个20还是30年前由几个研究生在实验室里开始 后来一个大公司把它商业化了的一个操作系统。一来二去,它成长 并且占领了市场。当时它只是运行在只有大学才买得起一两台的昂贵 机器上。后来机器多了,公司多了,懂得人也多了,就分家了,而 “UNIX”这个名字由于法律关系,谁也不能说自己的操作系统是“UNIX” 而只能说是“UNIX兼容”系统了。所以现在“UNIX”系统是不存在的, 存在的只是一个遥远的传说。那么现在那些Solaris,AIX,IRIS都是什么呢? 那些都是各公司在他们硬件平提上作的商业UNIX,这些系统都遵循一个 叫POSIX的古怪标准,对了,这个标准呢,是后来UNIX太多太乱,大家编程 接口甚至命令都不一样了所以没办法座下来商量的一个协议。 那么Linux是什么呢?Linux是基于PC(其它平台也有的支持)的UNIX兼容 系统,在跟UNIX的关系上,它不比任何其它UNIX兼容系统远。所以如果 你有“Solaris才是正统UNIX,Linux只是兼容”的想法,对不起你错了, 起码你得把支持AIX的人打败才行,他们还认为AIX才是正统UNIX呢。 所以用Linux你可以学到有关UNIX的知识,这些知识绝大部分在其它商业 UNIX上可以用得上。当然,其核心思想绝对是相同的。那么在三年前只有 你的读博士的辅导员才有机会在实验室那台宝贝SUN上学的知识,你现在在 PC机上就可以实践了,这难道不是很妙的一件事情么? 第二个问题:我想装一个Linux,最新的是哪个版本,我听说过xxxlinux,yyylinux, 还有国内某个公司鼎力推出的zzzlinux,到底哪个更好呢? 首先你需要明白,Linux不是windows,它不是一个由一家商业公司维护的软件, 只有一个包装。Linux是可以任意包装自由配置的东西。任何一个人,一家公司 都可以按照自己的想法,比如加一点功能,加中文支持,作一个Linux出来。这些 Linux虽然核心部分都一样,但是他们所带的各种软件,缺省的配置都不一样。区别 是用一种Linux 发布 (不同的Linux我们叫做不同的发布)也许硬件很好配置, 各种软件也好安装,用另外一种也许速度快,再一种也许支持中文比较好。总之 没有白吃的午餐,在windows下想当然的东西在linux下也许需要你熬夜才能得到。 所以从一开始选择distribution就必须非常小心,否则因为自己刚好随某个杂志 得到一个Linux发布就以为所有的都一样就开始安装,等硬盘数据毁了, 或者网络哭天跄地也配不出来的时候,就晚了。不是开玩笑,我知道windows下 安装驱动程序就是鼠标点几下,可是在Linux下,为了驱动一个网卡,折腾一夜 是不希奇的 -- 当然,我觉得这是值得的。 所以,面对那么多Linux distribution,你应当选择哪个呢? 比较著名的Linux distribution有: RedHat:最新版本6.2, 7.0beta。由于RedHat公司已经上市,获得了很多 商业的支持,所以它在硬件软件兼容性上很好。实际上它已经是Linux的 工业标准。想象一下如果你是一个比如Oracle这样厂商的老板,你需要为 Linux开发一个版本,而不同的Linux dist需要单独开发维护,为成本考虑你 自然会只认准一个Linux。 Slackware(7.1)。很早就有的Linux,有很多老的忠实用户,但现在越来越不行了。 SuSe Linux,德国人做的,在欧洲很流行,有一些驱动上的优势。 另外还有Debian,CorelLinux等dist,不一一介绍了。 还有你会看到国内媒体上吹捧的各种“中文Linux”,他们的优势主要是有 中文处理。但是如前一篇文章提到的,想用中文,用windows 2000最好。实际上 我觉得一个老7字班的前辈跟我说的一句话很好:“(对我们来说)在计算机上看到 中文本身就是一件很古怪的事情”。如果你是抱着学习计算机的目的而来,那么 你不可能避免阅读英文文档。即使是microsoft的文档,有关编程的文档,最新的也 全是英文。当然,要上BBS,看中文网页等,用英文的dist一样能做到。 作为我个人(个人观点,你不必相信我),我只用RedHat,因为我需要它作为一个 操作系统能让我更快的掌握并且学习我想学习的知识,而不是跟愚蠢的网卡,声卡 作斗争。尽管这些斗争对于学习Linux来说也是很有益的,但是对于一个新手来说, 如果连系统都安装不上,无法配置,又怎么谈如何学习呢?Again,this is only my own opnion, and I could be wrong。 在这个系列里,我会围绕RedHat 6.2来讲。 阅读:534次 来源:linuxaid |
相关推荐
Windows 10/11下彻底卸载Chrome的终极指南(附一键清理注册表脚本)
本文提供了一份在Windows 10/11系统中彻底卸载Google Chrome浏览器的终极指南。针对标准卸载后用户数据与注册表项残留的问题,文章详细介绍了从应用程序层、用户数据层到系统集成层的三层深度清理方法,并重点提供了安全高效的注册表清理脚本,确保浏览器所有痕迹被完全移除,解决重装冲突并释放磁盘空间。
Linux入门教程(非常详细)从零基础入门到精通,看完这一篇就够了
linux系统中一切皆文件/bin是binary的缩写,这个目录存放着最经常使用的命令,通过上方桌面可以看到bin文件夹有个箭头,是链接到 /usr/bin下,相当于快捷方式,进入/bin和/usr/bin下是一模一样的/sbins就是super User的意思,这里存放的是系统管理员使用的系统管理程序。/home存放普通用户的主目录,在Linux中每个用户都有一个自己的目录,一版该目录名是以用户的账号命名的。/root该目录为系统管理员,也称为超级权限者的用户主目录。/lib。
MCP详解:手把手教你理解和如何使用各种开源MCP服务
MCP 作为一种开放协议,为 AI 模型与外部世界的连接提供了标准化的解决方案。它不仅降低了开发门槛,还极大地扩展了 AI 应用的边界。无论是开发者还是普通用户,都可以通过 MCP 更高效地利用 AI 技术,实现更多智能化的功能。
Linux,常用命令,看这篇就够了
linux 常用命令大全
摄像头模组选型避坑指南:如何根据Sensor和Lens参数匹配最佳组合
本文深入解析摄像头模组选型中Sensor与Lens的核心参数匹配要点。重点阐述了主光线角(CRA)匹配对边缘画质的关键影响,并提供了传感器尺寸、像素尺寸、焦距、光圈等参数的协同选型策略与实战避坑指南,帮助工程师在手机、安防、车载等不同应用场景下实现性能与成本的最佳平衡。
LVGL在嵌入式Linux系统上的高效移植与优化实践
本文详细介绍了在嵌入式Linux系统(特别是ARM平台)上移植和优化LVGL图形库的完整实践流程。内容涵盖从开发环境搭建、代码获取、CMake工程配置,到关键配置文件定制、显示与输入设备端口移植,以及内存、渲染等核心性能优化技巧,旨在帮助开发者高效构建流畅的嵌入式UI应用。
Linux新手快速入门(万字超详细)
Linux是一套免费使用和自由传播的类Unix操作系统,是一个POSIX和UNIX的多用户、多任务、支持多线程和多CPU的操作系统RPM 文件是类似于 ZIP 文件或 tarball 的存档文件
数字电路基础(CMOS电路、低功耗方法)
文章目录一、CMOS器件1.1.CMOS反相器1.2. CMOS与非门1.3.CMOS或非门1.4 CMOS与门和CMOS或门二、CMOS电路参数——功耗 一、CMOS器件 1.1.CMOS反相器 CMOS反相器实现非门功能,由一个PMOS管和一个NMOS管组成,其逻辑电路图如下: 其真值表如下: In PMOS NMOS Out 0 √ 导通 ×关闭 1 1 ×关闭 √...
Linux入门教程(非常详细)从零基础入门到精通,看完这一篇就够了!
学Linux就像打怪升级,刚开始可能被命令行吓到,但坚持一个月后,你会发现图形界面才是真正的"新手模式"!每个报错都是进步的机会(虽然有时候真的很想砸键盘…)。现在就打开你的Linux系统,开始敲命令吧!(如果还在用Windows?快去装个WSL!
qq邮箱发错误:The “From“ header is missing or invalid. Please follow RFC5322, RFC2047, RFC822 standard pro
如果还报错 (550, b’The mail may contain inappropriate words or content.'),可能是你message[‘From’]中的< senderxxx@qq.com >发送邮箱填错了,必须要和self.sender = ’ senderxxx@qq.com '一样。可能是之前qq邮箱发送协议存在漏洞,可隐藏发送者邮箱。现在换了新协议,导致与原来协议规则、编码出现了一些问题。"python自动发送""python自动发送"
破解现代反爬虫:JS加密、OB混淆与CSS反爬的实战攻防分析
摘要: 随着反爬技术的升级,JS加密、OB混淆和CSS反爬成为主流防护手段,阻碍传统爬虫获取数据。本文解析了这些技术的工作原理,并提出破解策略:通过模拟浏览器(如Selenium、Puppeteer)执行动态JS,逆向混淆代码,以及利用开发者工具突破CSS隐藏。针对复杂防护,开发者需结合技术分析与工具应用,如API接口抓取、动态渲染破解等,以应对不断演进的反爬机制。未来,爬虫攻防将持续升级,需保持技术敏锐性。
Linux新手入门教程(从零到一,保姆级实操)
在当下的IT领域,Linux的应用无处不在:服务器(90%以上的互联网服务器采用Linux系统)、嵌入式开发(路由器、智能设备)、云计算(Docker、K8s均基于Linux)、大数据、人工智能等领域,Linux都是核心底层系统。相比于Windows系统,Linux具有以下优势:开源免费:无需付费,可自由修改源码,社区支持强大(Ubuntu、CentOS等主流发行版均免费);稳定高效:无强制重启、极少蓝屏,资源占用低,可长时间不间断运行(服务器常连续运行数年);
nvidia系列教程-AGX-Orin系统刷机及备份
NVIDIA AGX Orin 是一款高性能的嵌入式计算平台,专为边缘计算和 AI 应用而设计。为了确保系统的稳定性和适应不同的应用场景,用户可能需要对 AGX Orin 进行系统刷机和备份操作。本文将详细介绍如何完成这些操作,帮助您更好地管理和维护 AGX Orin 设备。通过以上步骤,您可以成功地为 NVIDIA AGX Orin 刷写系统并创建备份。这些操作不仅能帮助您保持系统的更新和安全,还能在遇到问题时快速恢复系统。
水木-给Linux新手 [系列之四]
水木-给Linux新手 [系列之四]OK,要讲硬盘分区了。在讲这个问题之前,我先来讲讲概念问题,什么是概念 问题呢?你还记得第一次,绝对的第一次听到A:盘,B:盘,C盘时候的感觉么? 在那之前自己也许知道计算机有个存储数据的地方,因为在电视上或者广告上 看到过磁带机(我一直不知道为什么到了很久很久那种一个傻姑娘在一个磁带 柜前面操作一个现在看来是垃圾的磁带设备会不停的成为电
文档:亲测可用解决vnc灰屏,黑屏,鼠标大黑叉情况
主要解决vnc-viewer灰屏,黑屏,鼠标大黑叉等现象,详细见文档。
VB摄像头监控
该VB模块可对摄像头捕获的画面进行录像等,可在创建的窗口进行控制
水木-给Linux新手 [系列之三]
水木-给Linux新手 [系列之三]OK,从哪里得到Linux呢?为了讨论方便,省去不表要的枝节问题, 我只讨论光盘安装。所以第一步是得到一张RedHat 6.2的光盘。 得到光盘有两种方式,一种是去买光盘,这个比较简单,外面盗版盘 就有,不过需要指出的是,RedHat 6.2的光盘不可能是盗版盘,因为 RedHat 6.2遵循GPL协议,它是不收取版权费用的。所以任何人拷
pscad IEEE标准系统搭建说明
pscad IEEE标准系统搭建说明,包含典型的IEEE 9节点、14节点、30节点、39节点和118节点系统。内含标准测试系统的原始数据和潮流结果。
水木-给Linux新手 [系列之五]
水木-给Linux新手 [系列之五]”大夫,我痛,告诉我怎么办吧” “别着急,你先说你哪里怎么痛了“ ”噢,哪里痛还不一样治啊,我肚子痛,快告诉我怎么办吧,我很着急的“ ”别着急,再说说你昨天都干了些什么啊?“ ”怎么跟昨天干什么还有关系?我昨天就干了我每天作的事情嘛,我觉得很正常,你怎么还不告诉我怎么办?不想说就别说“。 ”别着急,你再想想,昨天作了什么跟平时不同的事情?
efm32 入门.pdf
本PDF共计22页,介绍的是操作驱动API,下载与否自己斟酌。
MATLAB图像拼接:SIFT算法原理与工程实践
图像拼接作为计算机视觉的基础技术,通过特征匹配实现多幅图像的精准对齐。SIFT算法因其尺度、旋转不变性成为特征提取的黄金标准,其核心在于高斯差分金字塔构建和128维特征描述子生成。在工程实践中,MATLAB凭借矩阵运算优化和可视化工具链优势,大幅降低算法实现门槛。该技术特别适用于无人机航拍、医学影像分析等需要亚像素级精度的场景,通过参数调优和GPU加速可处理4K级图像。当前主流方案将传统SIFT特征与深度学习结合,在水利监测等专业领域已达到0.3像素的拼接精度。
水木-给Linux新手 [系列之三] (转)
水木-给Linux新手 [系列之三] (转)[@more@]水木-给Linux新手 [系列之三]OK,从哪里得到Linux呢?为了讨论方便,省去不表要的枝节问题, 我只讨论光盘安装。所以第一步是得到一张redhat 6.2的光盘...
水木--给Linux新手[系列之一] (转)
水木--给Linux新手[系列之一] (转)[@more@]水木--给Linux新手[系列之一]你从来只用过windows,从来没接触过unix,只知道把一个文件拽 来拽去,只知道硬盘就是C: D: E:却从来没有研究过分区表,...
水木--给Linux新手 [系列之二] (转)
水木--给Linux新手 [系列之二] (转)[@more@]水木--给Linux新手 [系列之二]OK,你的第一个问题是:什么是Linux,它和unix有什么区别? 问这个问题的原因呢,多半是你还在大一的时候一次去实验室,看到...
水木-给Linux新手 [系列之四] (转)
水木-给Linux新手 [系列之四] (转)[@more@]水木-给Linux新手 [系列之四]OK,要讲硬盘分区了。在讲这个问题之前,我先来讲讲概念问题,什么是概念 问题呢?你还记得第一次,绝对的第一次听到A:盘,B:盘,C盘...
[BBS 水木清华站]给Linux新手
你从来只用过Windows,从来没接触过UNIX,只知道把一个文件拽来拽去,只知道硬盘就是C: D: E:却从来没有研究过分区表,也许会用VC编个程序,很习惯它的集成环境....有一天,不管什么原因了,也许是看报纸上那些把内存和硬盘都分不清楚的记者的吹嘘,或者是老板要求你用它作个项目,或者是同学们都有了你没有觉得很土,或者你听说找工作有这个的经验就有更大希望....不管怎样,你想在自己的机器上安装
水木-bin->iso 在linux 下面用什么软件?
水木-bin->iso 在linux 下面用什么软件?水木清华 null〖返回〗〖转发〗水木-bin->iso 在linux 下面用什么软件? Bin2ISO, here is the source code: /**************************************************** #include stdio.h /* G L
水木-lilo问答
水木-lilo问答null null〖返回〗〖转发〗1、使用了lilo会不会无法引导NT? 建议不要把 lilo 安装到 mbr 上, 一旦被破坏就麻烦了. 可以再安装一个独立的启动管理器, 如 System Commander, SmartBootManager , Bootit 等. 这样比较安全一些. 【 在 iloveyou (九日) 的大作中提到: 】 ∶ 我在安
水木-lilo的问题
水木-lilo的问题null null〖返回〗〖转发〗1、【 在 onlyer (心魔.搏斗中) 的大作中提到: 】 ∶ 你的linux是装在第二个硬盘上把?这样的话,不能直接从 即使是第二个硬盘也是可以的, 第一个硬盘: other = /dev/hdb loader = /boot/chain.b table = /dev/hdc
781



被折叠的 条评论
为什么被折叠?



